<!DOCTYPE html>
<html>
<body>

<style>
    @keyframes resize { 
        from {
            transform-origin: 50% 50%;
            transform: scale(1);
        } to {
            transform-origin: 50% 50%;
            transform: scale(1.2);
        }
    }
    .fastlogo-spoke {
        /* 30fps step uses less cpu */
        /* 4 loops because forever eats cpu */
        animation: 4s steps(40, end) 4 alternate resize;
        /* hack to switch browser to gpu mode so animation save some cpu */
        /*transform: translateZ(0);*/
    }
    .fastlogo-spoke0 { animation-duration: 3.0s; }
    .fastlogo-spoke1 { animation-duration: 2.1s; }
    .fastlogo-spoke2 { animation-duration: 3.2s; }
    .fastlogo-spoke3 { animation-duration: 4.3s; }
    .fastlogo-spoke4 { animation-duration: 2.4s; }
    .fastlogo-spoke5 { animation-duration: 3.5s; }
    .fastlogo-spoke6 { animation-duration: 4.0s; }
    .fastlogo-spoke7 { animation-duration: 2.7s; }
    .fastlogo-spoke8 { animation-duration: 3.8s; }
    .fastlogo-spoke9 { animation-duration: 4.1s; }
</style>

<div id="logo"></div>
<pre id="logo-src"></pre>


<script>
    logo = document.getElementById('logo');
    let middle_r = 6
    var departs = [
        { 'color': '#2cb4be', 'size': 8.7, 'name': 'scicomp' },
        { 'color': '#c51a79', 'size': 5, 'name': 'mfcf' },
        { 'color': '#607132', 'size': 1, 'name': '' },
        { 'color': '#d74326', 'size': 5, 'name': '' },
        { 'color': '#2e499f', 'size': 8, 'name': '' },
        { 'color': '#efa543', 'size': 5, 'name': '? this looks near ISTs #e4b429' },
        { 'color': '#572c85', 'size': 1, 'name': '' },
        //{ 'color': '#e4b429', 'size': 4, 'name': 'ist' },
    ];
    innerHTML = `<svg version='1.1' xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" class="fastlogo" width="100%" height="100%" viewBox="0 0 100 100"><g transform="rotate(270 50 50)">\n`;
    count = departs.length;
    for (i in departs) {
        d = departs[i];
        s = 25 + d['size'] * 1.2;
        r = middle_r + (s / 2);
        c = 2 * 3.14159 * r;
        sd = c / count;
        offset = sd * -1 * i;
        innerHTML += `<circle class="fastlogo-spoke fastlogo-spoke${i}" cx="50" cy="50"
            fill="transparent" stroke="${d['color']}" 
            stroke-width="${s}" r="${r}" stroke-dasharray="${sd} 999" 
            stroke-dashoffset="${offset}"/>
        `;
    }
    innerHTML += `<circle class="fastlogo-hub" cx="50" cy="50" fill="transparent" stroke="#e4b429" stroke-width="1.2" r="${middle_r + .6}"/>\n`
    innerHTML += `<circle class="fastlogo-hub" cx="50" cy="50" fill="transparent" stroke="white" stroke-width="0.5" r="${middle_r}"/>\n`
    innerHTML += '</g></svg>';

    document.getElementById('logo').innerHTML = innerHTML
    head = `<?xml version="1.0" encoding="utf-8"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">`
    document.getElementById('logo-src').innerText = head + innerHTML
</script>

</body>
</html>
